Bullet Collision Detection & Physics Library: btStorageResult Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
btStorageResult Struct Reference

`#include <btDiscreteCollisionDetectorInterface.h>`

Inheritance diagram for btStorageResult:
[legend]
Collaboration diagram for btStorageResult:
[legend]

## Public Member Functions
virtual | ~btStorageResult ()
virtual void | addContactPoint (const btVector3 &normalOnBInWorld, const btVector3 &pointInWorld, btScalar depth)
Public Member Functions inherited from btDiscreteCollisionDetectorInterface::Result
virtual | ~Result ()
virtual void | setShapeIdentifiersA (int partId0, int index0)=0
| setShapeIdentifiersA/B provides experimental support for per-triangle material / custom material combiner
virtual void | setShapeIdentifiersB (int partId1, int index1)=0

## Public Attributes
btVector3 | m_normalOnSurfaceB
btVector3 | m_closestPointInB
btScalar | m_distance

## Protected Member Functions
| btStorageResult ()

## Detailed Description

Definition at line 60 of file btDiscreteCollisionDetectorInterface.h.

## Constructor & Destructor Documentation

## ◆ btStorageResult()

btStorageResult::btStorageResult | ( |  | ) |
| inlineprotected

Definition at line 67 of file btDiscreteCollisionDetectorInterface.h.

## ◆ ~btStorageResult()

virtual btStorageResult::~btStorageResult | ( |  | ) |
| inlinevirtual

Definition at line 72 of file btDiscreteCollisionDetectorInterface.h.

## Member Function Documentation

## ◆ addContactPoint()

virtual void btStorageResult::addContactPoint | ( | const btVector3 & | normalOnBInWorld,
|  | const btVector3 & | pointInWorld,
|  | btScalar | depth )
| inlinevirtual

Implements btDiscreteCollisionDetectorInterface::Result.

Definition at line 74 of file btDiscreteCollisionDetectorInterface.h.

## Member Data Documentation

## ◆ m_closestPointInB

btVector3 btStorageResult::m_closestPointInB

Definition at line 63 of file btDiscreteCollisionDetectorInterface.h.

## ◆ m_distance

btScalar btStorageResult::m_distance

Definition at line 64 of file btDiscreteCollisionDetectorInterface.h.

## ◆ m_normalOnSurfaceB

btVector3 btStorageResult::m_normalOnSurfaceB

Definition at line 62 of file btDiscreteCollisionDetectorInterface.h.

The documentation for this struct was generated from the following file:

- btDiscreteCollisionDetectorInterface.h